Package com.sun.mail.util

## Class SharedByteArrayOutputStream

- java.lang.Object
- - java.io.OutputStream
  - - java.io.ByteArrayOutputStream
    - - com.sun.mail.util.SharedByteArrayOutputStream

All Implemented Interfaces:
  `java.io.Closeable`, `java.io.Flushable`, `java.lang.AutoCloseable`

    public class SharedByteArrayOutputStream
    extends java.io.ByteArrayOutputStream

A ByteArrayOutputStream that allows us to share the byte array rather than copy it. Eventually could replace this with something that doesn't require a single contiguous byte array.

Since:
  JavaMail 1.4.5
Author:
  Bill Shannon

### Field Summary

### Fields inherited from class java.io.ByteArrayOutputStream

`buf, count`

### Constructor Summary

Constructors
`SharedByteArrayOutputStream​(int size)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.io.InputStream` `toStream()`

### Methods inherited from class java.io.ByteArrayOutputStream

`close, reset, size, toByteArray, toString, toString, toString, toString, write, write, writeBytes, writeTo`

### Methods inherited from class java.io.OutputStream

`flush, nullOutputStream, write`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SharedByteArrayOutputStream

    public SharedByteArrayOutputStream​(int size)

### Method Detail

#### toStream

    public java.io.InputStream toStream()